import request from './request.js'
// 签到
export function checkIn(data = {}) {
  return request.post('/in',data)
}
// 收藏列表
export function collectList(data = {}) {
  return request.get('/collect/list',data)
}
// 查询会员类型
export function vipList(data = {}) {
  return request.get('/type/list',data)
}

// 查询我的报名记录列表
export function getWorkflowApplyByUserId(data = {}) {
  return request.get('/apply/getWorkflowApplyByUserId',data)
}

// 查询报名记录列表
export function appliList(data = {}) {
  return request.get('/apply/list',data)
}

// 查询登录用户的寻找工作流列表
export function userQuestList(data = {}) {
  return request.get('/quest/userQuestList',data)
}

// 我的订单
export function orderList(data = {}) {
  return request.get('/order/list',data)
}

// 我的发票
export function invoiceList(data = {}) {
  return request.get('/invoice/list',data)
}

// 查看登录用户发布的工作流
export function userPublishList(data = {}) {
  return request.get('/publish/userPublishList',data)
}

// 删除登录用户发布的工作流
export function delectPublish(data = {}) {
  return request.del(`/publish/${data}`)
}